Follow

Error Performing Pre-Schema migration tasks when upgrading to 15.1

Applies To:

Trust Protection Platform 15.1

Symptom:

Getting the following error when Performing Pre-Schema migration tasks during the upgrade to TPP 15.1:

Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.

Pre-migration_task_Error.png

 

Cause: 

The reason for this issue is because in TPP 15.1 we rotated our signing key for all of our DLLs.  This means if there are any DLLs left over (not being used anymore) and signed by the old signing key, you will see the issue described.

Resolution:

Do the following to resolve this issue:

  1. Open windows explorer and browse to the Venafi\Drivers\Migration folder.
  2. Sort the files by modified date and delete any DLLs that were modified before year 2015.
    • Two of the known offending DLLs are: FixDNSyntax.dll and MigrateConfigAttributes.dll.
  3. From the start programs menu re-run the Venafi Control Center and select Configure Products.
  4. Run through the prompts from the wizard and the upgrade process should now succeed.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk